#include<stdio.h>
#include<cstdio>
#include<math.h>
int main()
{
    int V,brN=0,X,d;
scanf("%d",&V);
scanf("%d",&d);
scanf("%d",&k);
if((d==1)||(d==2)||(d==5)) X=d*pow(10,k);
else printf("Pogresno uneto d!");
if(V%X==0)
brN++;
printf("%d",brN);

return 0;

}